// OTChooserCell.h
// By Alex B. Cone, Objective Technologies, Inc
// Copyright (c) 1990, 1991 Objective Technologies, Inc.

#import <appkit/SelectionCell.h>

#define UNSELECTED	0
#define SELECTED	1

#define FIRST_COLUMN_START 7.0
#define ICON_WIDTH 			16.0
#define INTERSPACE 			5.0
#define MAX_TAG_DIGITS 		 4

#define OTCHOOSERCELL_CURRENT_VERSION 10

@interface OTChooserCell:SelectionCell
{
	BOOL			iconIsVisible;
	BOOL			tagIsVisible;
	BOOL			unselectIsVisible;
	unsigned int		status;
	id				iconImage;
	NXSize			iconSize;
	id				unselImage;
	NXSize			unselSize;
	int				tag;
	NXCoord			ascender;
	NXCoord			descender;
	NXCoord			lineHeight;
}
/* factory methods */
+ initialize;

/* instance methods */
- init;
- initTextCell:(const char *)aString;
- setTag:(int)anInt;
- (int)tag;
- setState:(int)value;
- incrementState;
- setSelected:(BOOL)yesOrNo;
- (BOOL)wasSelected;
- setIcon:(const char *)iconName;
- setIconImage:anImage;
- icon;
- setUnselectImage:anImage;
- setUnselectIcon:(const char *)iconName;
- unselectIcon;
- setIconVisible:(BOOL)yesOrNo;
- (BOOL)iconVisible;
- setTagVisible:(BOOL)yesOrNo;
- (BOOL)tagVisible;
- setUnselectVisible:(BOOL)yesOrNo;
- (BOOL)unselectVisible;
- setFont:fontObj;
- drawInside:(const NXRect *)cellFrame inView:controlView;
- write:(NXTypedStream *) s;
- read:(NXTypedStream *) s;

@end


